Loading...
Searching...
No Matches
CheckInf< GridT, TreeIterT > Struct Template Reference

Checks for infinite values, e.g. 1/0 or -1/0. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types

using | ElementType = typename VecTraits<typename GridT::ValueType>::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT

## Public Member Functions

| CheckInf ()
| Default constructor.
bool | operator() (const ElementType &v) const
| Return true if the value is infinite.
template<typename T>
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| Return true if any of the vector components are infinite.
bool | operator() (const TreeIterT &iter) const
| Return true if the tile at the iterator location is infinite.
bool | operator() (const VoxelIterT &iter) const
| Return true if the tile at the iterator location is infinite.
std::string | str () const
| Return a string describing a failed check.

## Detailed Description

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v10_0::tools::CheckInf< GridT, TreeIterT >

Checks for infinite values, e.g. 1/0 or -1/0.

## Member Typedef Documentation

## ElementType

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## TileIterT

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

using TileIterT = TreeIterT

## VoxelIterT

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

using VoxelIterT

Initial value:
typename tree::IterTraits<typename TreeIterT::NodeT,
typename TreeIterT::ValueIterT> ::template NodeConverter<
typename GridT::TreeType::LeafNodeType>::Type
openvdb::v10_0::tools::Type
openvdb::v10_0::tree::IterTraits
Definition TreeIterator.h:60

## Constructor & Destructor Documentation

## CheckInf()

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

CheckInf | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

## operator()() [1/4]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const ElementType & | v | ) | const

inline

Return true if the value is infinite.

## operator()() [2/4]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>
template<typename T>

std::enable_if< VecTraits< T >::IsVec, bool >::type operator() | ( | const T & | v | ) | const

inline

Return true if any of the vector components are infinite.

## operator()() [3/4]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const TreeIterT & | iter | ) | const

inline

Return true if the tile at the iterator location is infinite.

## operator()() [4/4]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const VoxelIterT & | iter | ) | const

inline

Return true if the tile at the iterator location is infinite.

## str()

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>

std::string str | ( |  | ) | const

inline

Return a string describing a failed check.